curl --request GET \
--url 'https://api.stateset.com/api/v1/gl/trial-balance' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"as_of_date": "2026-08-31T14:22:05Z",
"is_balanced": true,
"lines": [
{
"account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"account_name": "string",
"account_number": "string",
"account_type": "string",
"credit_balance": "49.00",
"debit_balance": "49.00"
}
],
"total_credits": "string",
"total_debits": "string"
}
Trial balance
Trial balance
GET
/
api
/
v1
/
gl
/
trial-balance
curl --request GET \
--url 'https://api.stateset.com/api/v1/gl/trial-balance' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"as_of_date": "2026-08-31T14:22:05Z",
"is_balanced": true,
"lines": [
{
"account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"account_name": "string",
"account_number": "string",
"account_type": "string",
"credit_balance": "49.00",
"debit_balance": "49.00"
}
],
"total_credits": "string",
"total_debits": "string"
}
Query parameters
string
Report date in
YYYY-MM-DD format. Defaults to today (UTC).Response
TrialBalanceResponse
string
required
boolean
required
TrialBalanceLineResponse[]
required
string
required
Decimal total credits as a string.
string
required
Decimal total debits as a string.
Status codes
| Code | Meaning |
|---|---|
200 | — |
400 | — |
curl --request GET \
--url 'https://api.stateset.com/api/v1/gl/trial-balance' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"as_of_date": "2026-08-31T14:22:05Z",
"is_balanced": true,
"lines": [
{
"account_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"account_name": "string",
"account_number": "string",
"account_type": "string",
"credit_balance": "49.00",
"debit_balance": "49.00"
}
],
"total_credits": "string",
"total_debits": "string"
}
Last modified on August 31, 2026